<html>
<head>
<title>Ogre::RenderPriorityGroup Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1RenderPriorityGroup.html">RenderPriorityGroup</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::RenderPriorityGroup Class Reference<div class="ingroups"><a class="el" href="group__RenderSystem.html">RenderSystem</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::RenderPriorityGroup" --><!-- doxytag: inherits="Ogre::AllocatedObject" -->
<p>Collection of renderables by priority.  
 <a href="classOgre_1_1RenderPriorityGroup.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::RenderPriorityGroup:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1RenderPriorityGroup__inherit__graph.gif" border="0" usemap="#Ogre_1_1RenderPriorityGroup_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1RenderPriorityGroup_inherit__map" id="Ogre_1_1RenderPriorityGroup_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="28,5,159,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1RenderPriorityGroup-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderPriorityGroup.html#a6e2d84bf96a0e44d57c0e96cf0736b97">RenderPriorityGroup</a> (<a class="el" href="classOgre_1_1RenderQueueGroup.html">RenderQueueGroup</a> *parent, bool splitPassesByLightingType, bool splitNoShadowPasses, bool shadowCastersNotReceivers)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderPriorityGroup.html#a0a18c4c1f2c29571f606cbac7861c3a9">~RenderPriorityGroup</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1QueuedRenderableCollection.html">QueuedRenderableCollection</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderPriorityGroup.html#a1d55ed0d465b381303fd4b0c2e7646a2">getSolidsBasic</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the collection of basic solids currently queued, this includes all solids when there are no shadows, or all solids which have shadow receiving enabled when using modulative shadows, or all ambient passes of solids which have shadow receive enabled for additive shadows.  <a href="#a1d55ed0d465b381303fd4b0c2e7646a2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1QueuedRenderableCollection.html">QueuedRenderableCollection</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderPriorityGroup.html#a327e07de0d0136a5e489a44e3982b8a4">getSolidsDiffuseSpecular</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the collection of solids currently queued per light (only applicable in additive shadow modes).  <a href="#a327e07de0d0136a5e489a44e3982b8a4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1QueuedRenderableCollection.html">QueuedRenderableCollection</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderPriorityGroup.html#a745936859235b031c2399a5b3c45df4e">getSolidsDecal</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the collection of solids currently queued for decal passes (only applicable in additive shadow modes).  <a href="#a745936859235b031c2399a5b3c45df4e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1QueuedRenderableCollection.html">QueuedRenderableCollection</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderPriorityGroup.html#af5e28105a6ca20ed978cf206f9406e4d">getSolidsNoShadowReceive</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the collection of solids for which shadow receipt is disabled (only applicable when shadows are enabled).  <a href="#af5e28105a6ca20ed978cf206f9406e4d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1QueuedRenderableCollection.html">QueuedRenderableCollection</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderPriorityGroup.html#a6884d6e8d6173190ae3fc833ccdc8d0d">getTransparentsUnsorted</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the collection of transparent objects currently queued.  <a href="#a6884d6e8d6173190ae3fc833ccdc8d0d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1QueuedRenderableCollection.html">QueuedRenderableCollection</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderPriorityGroup.html#afd96c5fa208a0cabd16b8d6558425e62">getTransparents</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the collection of transparent objects currently queued.  <a href="#afd96c5fa208a0cabd16b8d6558425e62"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderPriorityGroup.html#afac98cbfa333ffbbd6f92a2dede71d83">resetOrganisationModes</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Reset the organisation modes required for the solids in this group.  <a href="#afac98cbfa333ffbbd6f92a2dede71d83"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderPriorityGroup.html#ae1fbc62e9014f3e36bef8f7f638ccf19">addOrganisationMode</a> (<a class="el" href="classOgre_1_1QueuedRenderableCollection.html#ab44ba16fe8e8c0247234d4e6edfae844">QueuedRenderableCollection::OrganisationMode</a> om)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Add a required sorting / grouping mode for the solids in this group.  <a href="#ae1fbc62e9014f3e36bef8f7f638ccf19"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderPriorityGroup.html#aae892307209fe5af02f0de2a237e30eb">defaultOrganisationMode</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the sorting / grouping mode for the solids in this group to the default.  <a href="#aae892307209fe5af02f0de2a237e30eb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderPriorityGroup.html#ab09fd661aa02509a1e4f83b18f5da74f">addRenderable</a> (<a class="el" href="classOgre_1_1Renderable.html">Renderable</a> *pRend, <a class="el" href="classOgre_1_1Technique.html">Technique</a> *pTech)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Add a renderable to this group.  <a href="#ab09fd661aa02509a1e4f83b18f5da74f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderPriorityGroup.html#a2fa35b87445194af9b81e5d7ab33648a">sort</a> (const <a class="el" href="classOgre_1_1Camera.html">Camera</a> *cam)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sorts the objects which have been added to the queue; transparent objects by their depth in relation to the passed in <a class="el" href="classOgre_1_1Camera.html" title="A viewpoint from which the scene will be rendered.">Camera</a>.  <a href="#a2fa35b87445194af9b81e5d7ab33648a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderPriorityGroup.html#ad1bd2155e06bec2f6dd0bec4d5f8e358">clear</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Clears this group of renderables.  <a href="#ad1bd2155e06bec2f6dd0bec4d5f8e358"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderPriorityGroup.html#a17541d778d6d971eb7ecc0141ca7bbce">setSplitPassesByLightingType</a> (bool split)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets whether or not the queue will split passes by their lighting type, ie ambient, per-light and decal.  <a href="#a17541d778d6d971eb7ecc0141ca7bbce"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderPriorityGroup.html#a82ce83d78ddac522340a9bb9dfd4aa76">setSplitNoShadowPasses</a> (bool split)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets whether or not passes which have shadow receive disabled should be separated.  <a href="#a82ce83d78ddac522340a9bb9dfd4aa76"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderPriorityGroup.html#ad00485a29818222dffa8b4b42748c57f">setShadowCastersCannotBeReceivers</a> (bool ind)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets whether or not objects which cast shadows should be treated as never receiving shadows.  <a href="#ad00485a29818222dffa8b4b42748c57f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderPriorityGroup.html#add2b573cd06af88231226779fba49e6b">merge</a> (const <a class="el" href="classOgre_1_1RenderPriorityGroup.html">RenderPriorityGroup</a> *rhs)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Merge group of renderables.  <a href="#add2b573cd06af88231226779fba49e6b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderPriorityGroup.html#adf137f62f5ca7f13420a95aea8151d8a">removePassEntry</a> (<a class="el" href="classOgre_1_1Pass.html">Pass</a> *p)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">remove a pass entry from all collections  <a href="#adf137f62f5ca7f13420a95aea8151d8a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderPriorityGroup.html#a1a0d99d181b2a830aab166f9fd6ee337">addSolidRenderable</a> (<a class="el" href="classOgre_1_1Technique.html">Technique</a> *pTech, <a class="el" href="classOgre_1_1Renderable.html">Renderable</a> *rend, bool toNoShadowMap)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Internal method for adding a solid renderable.  <a href="#a1a0d99d181b2a830aab166f9fd6ee337"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderPriorityGroup.html#ad494a6753c50cba568cc890860fed98e">addSolidRenderableSplitByLightType</a> (<a class="el" href="classOgre_1_1Technique.html">Technique</a> *pTech, <a class="el" href="classOgre_1_1Renderable.html">Renderable</a> *rend)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Internal method for adding a solid renderable.  <a href="#ad494a6753c50cba568cc890860fed98e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderPriorityGroup.html#a9753d3f8e1ec0ca1d6c133f82cda6e44">addUnsortedTransparentRenderable</a> (<a class="el" href="classOgre_1_1Technique.html">Technique</a> *pTech, <a class="el" href="classOgre_1_1Renderable.html">Renderable</a> *rend)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Internal method for adding an unsorted transparent renderable.  <a href="#a9753d3f8e1ec0ca1d6c133f82cda6e44"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderPriorityGroup.html#aa418acf3c5bca641a4c5e475cb27a753">addTransparentRenderable</a> (<a class="el" href="classOgre_1_1Technique.html">Technique</a> *pTech, <a class="el" href="classOgre_1_1Renderable.html">Renderable</a> *rend)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Internal method for adding a transparent renderable.  <a href="#aa418acf3c5bca641a4c5e475cb27a753"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1RenderQueueGroup.html">RenderQueueGroup</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderPriorityGroup.html#afa964877920d284c972b4684c54fe273">mParent</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Parent queue group.  <a href="#afa964877920d284c972b4684c54fe273"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderPriorityGroup.html#af98ab3bc78759bb0f6fe921d95681c55">mSplitPassesByLightingType</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderPriorityGroup.html#a6cb0571ecf3cb5199d95e4ff056499ff">mSplitNoShadowPasses</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderPriorityGroup.html#aa978e09317bbe8cf1062b4157510ea65">mShadowCastersNotReceivers</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1QueuedRenderableCollection.html">QueuedRenderableCollection</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderPriorityGroup.html#ab8560ed065a3001ee34d6fbc46de5527">mSolidsBasic</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Solid pass list, used when no shadows, modulative shadows, or ambient passes for additive.  <a href="#ab8560ed065a3001ee34d6fbc46de5527"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1QueuedRenderableCollection.html">QueuedRenderableCollection</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderPriorityGroup.html#a56ebcce57f1603250d9b6018b06e98d3">mSolidsDiffuseSpecular</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Solid per-light pass list, used with additive shadows.  <a href="#a56ebcce57f1603250d9b6018b06e98d3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1QueuedRenderableCollection.html">QueuedRenderableCollection</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderPriorityGroup.html#aed4224f5234e3706795dfc4fa16159ed">mSolidsDecal</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Solid decal (texture) pass list, used with additive shadows.  <a href="#aed4224f5234e3706795dfc4fa16159ed"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1QueuedRenderableCollection.html">QueuedRenderableCollection</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderPriorityGroup.html#adc851b6c07b963d53f2aedd53dda0b45">mSolidsNoShadowReceive</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Solid pass list, used when shadows are enabled but shadow receive is turned off for these passes.  <a href="#adc851b6c07b963d53f2aedd53dda0b45"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1QueuedRenderableCollection.html">QueuedRenderableCollection</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderPriorityGroup.html#a61fb215cff04c9d686a2119ccdcc9b4f">mTransparentsUnsorted</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Unsorted transparent list.  <a href="#a61fb215cff04c9d686a2119ccdcc9b4f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1QueuedRenderableCollection.html">QueuedRenderableCollection</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderPriorityGroup.html#acacd2f33af2aceae1bc5775c4457d7da">mTransparents</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Transparent list.  <a href="#acacd2f33af2aceae1bc5775c4457d7da"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Collection of renderables by priority. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This class simply groups renderables for rendering. All the renderables contained in this class are destined for the same <a class="el" href="classOgre_1_1RenderQueueGroup.html" title="A grouping level underneath RenderQueue which groups renderables to be issued at coarsely the same ti...">RenderQueueGroup</a> (coarse groupings like those between the main scene and overlays) and have the same priority (fine groupings for detailed overlap control). </dd></dl>
<dl class="user"><dt><b></b></dt><dd>This class can order solid renderables by a number of criteria; it can optimise them into groups based on pass to reduce render state changes, or can sort them by ascending or descending view depth. Transparent objects are always ordered by descending depth. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>To iterate over items in the collections held by this object you should retrieve the collection in use (e.g. solids, solids with no shadows, transparents) and use the accept() method, providing a class implementing <a class="el" href="classOgre_1_1QueuedRenderableVisitor.html" title="Visitor interface for items in a QueuedRenderableCollection.">QueuedRenderableVisitor</a>. </dd></dl>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00323">323</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a6e2d84bf96a0e44d57c0e96cf0736b97"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::RenderPriorityGroup" ref="a6e2d84bf96a0e44d57c0e96cf0736b97" args="(RenderQueueGroup *parent, bool splitPassesByLightingType, bool splitNoShadowPasses, bool shadowCastersNotReceivers)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderPriorityGroup.html#a6e2d84bf96a0e44d57c0e96cf0736b97">Ogre::RenderPriorityGroup::RenderPriorityGroup</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderQueueGroup.html">RenderQueueGroup</a> *&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>splitPassesByLightingType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>splitNoShadowPasses</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>shadowCastersNotReceivers</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a0a18c4c1f2c29571f606cbac7861c3a9"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::~RenderPriorityGroup" ref="a0a18c4c1f2c29571f606cbac7861c3a9" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderPriorityGroup.html#a0a18c4c1f2c29571f606cbac7861c3a9">Ogre::RenderPriorityGroup::~RenderPriorityGroup</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00363">363</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="ae1fbc62e9014f3e36bef8f7f638ccf19"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::addOrganisationMode" ref="ae1fbc62e9014f3e36bef8f7f638ccf19" args="(QueuedRenderableCollection::OrganisationMode om)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RenderPriorityGroup.html#ae1fbc62e9014f3e36bef8f7f638ccf19">Ogre::RenderPriorityGroup::addOrganisationMode</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1QueuedRenderableCollection.html#ab44ba16fe8e8c0247234d4e6edfae844">QueuedRenderableCollection::OrganisationMode</a>&#160;</td>
          <td class="paramname"><em>om</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Add a required sorting / grouping mode for the solids in this group. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>You can only do this when the group is empty, i.e. after clearing the queue. </dd></dl>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1QueuedRenderableCollection.html#ab44ba16fe8e8c0247234d4e6edfae844" title="Organisation modes required for this collection.">QueuedRenderableCollection::OrganisationMode</a> </dd></dl>

<p>Referenced by <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00520">Ogre::RenderQueueGroup::addRenderable()</a>, and <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00687">Ogre::RenderQueueGroup::merge()</a>.</p>

</div>
</div>
<a class="anchor" id="ab09fd661aa02509a1e4f83b18f5da74f"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::addRenderable" ref="ab09fd661aa02509a1e4f83b18f5da74f" args="(Renderable *pRend, Technique *pTech)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RenderPriorityGroup.html#ab09fd661aa02509a1e4f83b18f5da74f">Ogre::RenderPriorityGroup::addRenderable</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Renderable.html">Renderable</a> *&#160;</td>
          <td class="paramname"><em>pRend</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Technique.html">Technique</a> *&#160;</td>
          <td class="paramname"><em>pTech</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Add a renderable to this group. </p>

<p>Referenced by <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00520">Ogre::RenderQueueGroup::addRenderable()</a>.</p>

</div>
</div>
<a class="anchor" id="a1a0d99d181b2a830aab166f9fd6ee337"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::addSolidRenderable" ref="a1a0d99d181b2a830aab166f9fd6ee337" args="(Technique *pTech, Renderable *rend, bool toNoShadowMap)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RenderPriorityGroup.html#a1a0d99d181b2a830aab166f9fd6ee337">Ogre::RenderPriorityGroup::addSolidRenderable</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Technique.html">Technique</a> *&#160;</td>
          <td class="paramname"><em>pTech</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Renderable.html">Renderable</a> *&#160;</td>
          <td class="paramname"><em>rend</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>toNoShadowMap</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Internal method for adding a solid renderable. </p>

</div>
</div>
<a class="anchor" id="ad494a6753c50cba568cc890860fed98e"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::addSolidRenderableSplitByLightType" ref="ad494a6753c50cba568cc890860fed98e" args="(Technique *pTech, Renderable *rend)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RenderPriorityGroup.html#ad494a6753c50cba568cc890860fed98e">Ogre::RenderPriorityGroup::addSolidRenderableSplitByLightType</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Technique.html">Technique</a> *&#160;</td>
          <td class="paramname"><em>pTech</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Renderable.html">Renderable</a> *&#160;</td>
          <td class="paramname"><em>rend</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Internal method for adding a solid renderable. </p>

</div>
</div>
<a class="anchor" id="aa418acf3c5bca641a4c5e475cb27a753"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::addTransparentRenderable" ref="aa418acf3c5bca641a4c5e475cb27a753" args="(Technique *pTech, Renderable *rend)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RenderPriorityGroup.html#aa418acf3c5bca641a4c5e475cb27a753">Ogre::RenderPriorityGroup::addTransparentRenderable</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Technique.html">Technique</a> *&#160;</td>
          <td class="paramname"><em>pTech</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Renderable.html">Renderable</a> *&#160;</td>
          <td class="paramname"><em>rend</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Internal method for adding a transparent renderable. </p>

</div>
</div>
<a class="anchor" id="a9753d3f8e1ec0ca1d6c133f82cda6e44"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::addUnsortedTransparentRenderable" ref="a9753d3f8e1ec0ca1d6c133f82cda6e44" args="(Technique *pTech, Renderable *rend)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RenderPriorityGroup.html#a9753d3f8e1ec0ca1d6c133f82cda6e44">Ogre::RenderPriorityGroup::addUnsortedTransparentRenderable</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Technique.html">Technique</a> *&#160;</td>
          <td class="paramname"><em>pTech</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Renderable.html">Renderable</a> *&#160;</td>
          <td class="paramname"><em>rend</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Internal method for adding an unsorted transparent renderable. </p>

</div>
</div>
<a class="anchor" id="ad1bd2155e06bec2f6dd0bec4d5f8e358"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::clear" ref="ad1bd2155e06bec2f6dd0bec4d5f8e358" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RenderPriorityGroup.html#ad1bd2155e06bec2f6dd0bec4d5f8e358">Ogre::RenderPriorityGroup::clear</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Clears this group of renderables. </p>

</div>
</div>
<a class="anchor" id="aae892307209fe5af02f0de2a237e30eb"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::defaultOrganisationMode" ref="aae892307209fe5af02f0de2a237e30eb" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RenderPriorityGroup.html#aae892307209fe5af02f0de2a237e30eb">Ogre::RenderPriorityGroup::defaultOrganisationMode</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the sorting / grouping mode for the solids in this group to the default. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>You can only do this when the group is empty, i.e. after clearing the queue. </dd></dl>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1QueuedRenderableCollection.html#ab44ba16fe8e8c0247234d4e6edfae844" title="Organisation modes required for this collection.">QueuedRenderableCollection::OrganisationMode</a> </dd></dl>

</div>
</div>
<a class="anchor" id="a1d55ed0d465b381303fd4b0c2e7646a2"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::getSolidsBasic" ref="a1d55ed0d465b381303fd4b0c2e7646a2" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1QueuedRenderableCollection.html">QueuedRenderableCollection</a>&amp; <a class="el" href="classOgre_1_1RenderPriorityGroup.html#a1d55ed0d465b381303fd4b0c2e7646a2">Ogre::RenderPriorityGroup::getSolidsBasic</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the collection of basic solids currently queued, this includes all solids when there are no shadows, or all solids which have shadow receiving enabled when using modulative shadows, or all ambient passes of solids which have shadow receive enabled for additive shadows. </p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00369">369</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div>
<a class="anchor" id="a745936859235b031c2399a5b3c45df4e"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::getSolidsDecal" ref="a745936859235b031c2399a5b3c45df4e" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1QueuedRenderableCollection.html">QueuedRenderableCollection</a>&amp; <a class="el" href="classOgre_1_1RenderPriorityGroup.html#a745936859235b031c2399a5b3c45df4e">Ogre::RenderPriorityGroup::getSolidsDecal</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the collection of solids currently queued for decal passes (only applicable in additive shadow modes). </p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00377">377</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div>
<a class="anchor" id="a327e07de0d0136a5e489a44e3982b8a4"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::getSolidsDiffuseSpecular" ref="a327e07de0d0136a5e489a44e3982b8a4" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1QueuedRenderableCollection.html">QueuedRenderableCollection</a>&amp; <a class="el" href="classOgre_1_1RenderPriorityGroup.html#a327e07de0d0136a5e489a44e3982b8a4">Ogre::RenderPriorityGroup::getSolidsDiffuseSpecular</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the collection of solids currently queued per light (only applicable in additive shadow modes). </p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00373">373</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div>
<a class="anchor" id="af5e28105a6ca20ed978cf206f9406e4d"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::getSolidsNoShadowReceive" ref="af5e28105a6ca20ed978cf206f9406e4d" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1QueuedRenderableCollection.html">QueuedRenderableCollection</a>&amp; <a class="el" href="classOgre_1_1RenderPriorityGroup.html#af5e28105a6ca20ed978cf206f9406e4d">Ogre::RenderPriorityGroup::getSolidsNoShadowReceive</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the collection of solids for which shadow receipt is disabled (only applicable when shadows are enabled). </p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00381">381</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div>
<a class="anchor" id="afd96c5fa208a0cabd16b8d6558425e62"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::getTransparents" ref="afd96c5fa208a0cabd16b8d6558425e62" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1QueuedRenderableCollection.html">QueuedRenderableCollection</a>&amp; <a class="el" href="classOgre_1_1RenderPriorityGroup.html#afd96c5fa208a0cabd16b8d6558425e62">Ogre::RenderPriorityGroup::getTransparents</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the collection of transparent objects currently queued. </p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00387">387</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div>
<a class="anchor" id="a6884d6e8d6173190ae3fc833ccdc8d0d"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::getTransparentsUnsorted" ref="a6884d6e8d6173190ae3fc833ccdc8d0d" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1QueuedRenderableCollection.html">QueuedRenderableCollection</a>&amp; <a class="el" href="classOgre_1_1RenderPriorityGroup.html#a6884d6e8d6173190ae3fc833ccdc8d0d">Ogre::RenderPriorityGroup::getTransparentsUnsorted</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the collection of transparent objects currently queued. </p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00384">384</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div>
<a class="anchor" id="add2b573cd06af88231226779fba49e6b"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::merge" ref="add2b573cd06af88231226779fba49e6b" args="(const RenderPriorityGroup *rhs)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RenderPriorityGroup.html#add2b573cd06af88231226779fba49e6b">Ogre::RenderPriorityGroup::merge</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1RenderPriorityGroup.html">RenderPriorityGroup</a> *&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Merge group of renderables. </p>

<p>Referenced by <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00687">Ogre::RenderQueueGroup::merge()</a>.</p>

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="adf137f62f5ca7f13420a95aea8151d8a"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::removePassEntry" ref="adf137f62f5ca7f13420a95aea8151d8a" args="(Pass *p)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RenderPriorityGroup.html#adf137f62f5ca7f13420a95aea8151d8a">Ogre::RenderPriorityGroup::removePassEntry</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Pass.html">Pass</a> *&#160;</td>
          <td class="paramname"><em>p</em></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>remove a pass entry from all collections </p>

</div>
</div>
<a class="anchor" id="afac98cbfa333ffbbd6f92a2dede71d83"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::resetOrganisationModes" ref="afac98cbfa333ffbbd6f92a2dede71d83" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RenderPriorityGroup.html#afac98cbfa333ffbbd6f92a2dede71d83">Ogre::RenderPriorityGroup::resetOrganisationModes</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Reset the organisation modes required for the solids in this group. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>You can only do this when the group is empty, i.e. after clearing the queue. </dd></dl>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1QueuedRenderableCollection.html#ab44ba16fe8e8c0247234d4e6edfae844" title="Organisation modes required for this collection.">QueuedRenderableCollection::OrganisationMode</a> </dd></dl>

<p>Referenced by <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00520">Ogre::RenderQueueGroup::addRenderable()</a>, and <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00687">Ogre::RenderQueueGroup::merge()</a>.</p>

</div>
</div>
<a class="anchor" id="ad00485a29818222dffa8b4b42748c57f"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::setShadowCastersCannotBeReceivers" ref="ad00485a29818222dffa8b4b42748c57f" args="(bool ind)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RenderPriorityGroup.html#ad00485a29818222dffa8b4b42748c57f">Ogre::RenderPriorityGroup::setShadowCastersCannotBeReceivers</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>ind</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets whether or not objects which cast shadows should be treated as never receiving shadows. </p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00445">445</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div>
<a class="anchor" id="a82ce83d78ddac522340a9bb9dfd4aa76"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::setSplitNoShadowPasses" ref="a82ce83d78ddac522340a9bb9dfd4aa76" args="(bool split)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RenderPriorityGroup.html#a82ce83d78ddac522340a9bb9dfd4aa76">Ogre::RenderPriorityGroup::setSplitNoShadowPasses</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>split</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets whether or not passes which have shadow receive disabled should be separated. </p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00437">437</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div>
<a class="anchor" id="a17541d778d6d971eb7ecc0141ca7bbce"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::setSplitPassesByLightingType" ref="a17541d778d6d971eb7ecc0141ca7bbce" args="(bool split)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RenderPriorityGroup.html#a17541d778d6d971eb7ecc0141ca7bbce">Ogre::RenderPriorityGroup::setSplitPassesByLightingType</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>split</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets whether or not the queue will split passes by their lighting type, ie ambient, per-light and decal. </p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00429">429</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2fa35b87445194af9b81e5d7ab33648a"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::sort" ref="a2fa35b87445194af9b81e5d7ab33648a" args="(const Camera *cam)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RenderPriorityGroup.html#a2fa35b87445194af9b81e5d7ab33648a">Ogre::RenderPriorityGroup::sort</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Camera.html">Camera</a> *&#160;</td>
          <td class="paramname"><em>cam</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sorts the objects which have been added to the queue; transparent objects by their depth in relation to the passed in <a class="el" href="classOgre_1_1Camera.html" title="A viewpoint from which the scene will be rendered.">Camera</a>. </p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="afa964877920d284c972b4684c54fe273"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::mParent" ref="afa964877920d284c972b4684c54fe273" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderQueueGroup.html">RenderQueueGroup</a>* <a class="el" href="classOgre_1_1RenderPriorityGroup.html#afa964877920d284c972b4684c54fe273">Ogre::RenderPriorityGroup::mParent</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Parent queue group. </p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00328">328</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa978e09317bbe8cf1062b4157510ea65"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::mShadowCastersNotReceivers" ref="aa978e09317bbe8cf1062b4157510ea65" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1RenderPriorityGroup.html#aa978e09317bbe8cf1062b4157510ea65">Ogre::RenderPriorityGroup::mShadowCastersNotReceivers</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00331">331</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab8560ed065a3001ee34d6fbc46de5527"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::mSolidsBasic" ref="ab8560ed065a3001ee34d6fbc46de5527" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1QueuedRenderableCollection.html">QueuedRenderableCollection</a> <a class="el" href="classOgre_1_1RenderPriorityGroup.html#ab8560ed065a3001ee34d6fbc46de5527">Ogre::RenderPriorityGroup::mSolidsBasic</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Solid pass list, used when no shadows, modulative shadows, or ambient passes for additive. </p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00333">333</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div>
<a class="anchor" id="aed4224f5234e3706795dfc4fa16159ed"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::mSolidsDecal" ref="aed4224f5234e3706795dfc4fa16159ed" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1QueuedRenderableCollection.html">QueuedRenderableCollection</a> <a class="el" href="classOgre_1_1RenderPriorityGroup.html#aed4224f5234e3706795dfc4fa16159ed">Ogre::RenderPriorityGroup::mSolidsDecal</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Solid decal (texture) pass list, used with additive shadows. </p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00337">337</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div>
<a class="anchor" id="a56ebcce57f1603250d9b6018b06e98d3"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::mSolidsDiffuseSpecular" ref="a56ebcce57f1603250d9b6018b06e98d3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1QueuedRenderableCollection.html">QueuedRenderableCollection</a> <a class="el" href="classOgre_1_1RenderPriorityGroup.html#a56ebcce57f1603250d9b6018b06e98d3">Ogre::RenderPriorityGroup::mSolidsDiffuseSpecular</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Solid per-light pass list, used with additive shadows. </p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00335">335</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div>
<a class="anchor" id="adc851b6c07b963d53f2aedd53dda0b45"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::mSolidsNoShadowReceive" ref="adc851b6c07b963d53f2aedd53dda0b45" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1QueuedRenderableCollection.html">QueuedRenderableCollection</a> <a class="el" href="classOgre_1_1RenderPriorityGroup.html#adc851b6c07b963d53f2aedd53dda0b45">Ogre::RenderPriorityGroup::mSolidsNoShadowReceive</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Solid pass list, used when shadows are enabled but shadow receive is turned off for these passes. </p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00339">339</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div>
<a class="anchor" id="a6cb0571ecf3cb5199d95e4ff056499ff"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::mSplitNoShadowPasses" ref="a6cb0571ecf3cb5199d95e4ff056499ff" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1RenderPriorityGroup.html#a6cb0571ecf3cb5199d95e4ff056499ff">Ogre::RenderPriorityGroup::mSplitNoShadowPasses</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00330">330</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div>
<a class="anchor" id="af98ab3bc78759bb0f6fe921d95681c55"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::mSplitPassesByLightingType" ref="af98ab3bc78759bb0f6fe921d95681c55" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1RenderPriorityGroup.html#af98ab3bc78759bb0f6fe921d95681c55">Ogre::RenderPriorityGroup::mSplitPassesByLightingType</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00329">329</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div>
<a class="anchor" id="acacd2f33af2aceae1bc5775c4457d7da"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::mTransparents" ref="acacd2f33af2aceae1bc5775c4457d7da" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1QueuedRenderableCollection.html">QueuedRenderableCollection</a> <a class="el" href="classOgre_1_1RenderPriorityGroup.html#acacd2f33af2aceae1bc5775c4457d7da">Ogre::RenderPriorityGroup::mTransparents</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Transparent list. </p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00343">343</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div>
<a class="anchor" id="a61fb215cff04c9d686a2119ccdcc9b4f"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::mTransparentsUnsorted" ref="a61fb215cff04c9d686a2119ccdcc9b4f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1QueuedRenderableCollection.html">QueuedRenderableCollection</a> <a class="el" href="classOgre_1_1RenderPriorityGroup.html#a61fb215cff04c9d686a2119ccdcc9b4f">Ogre::RenderPriorityGroup::mTransparentsUnsorted</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Unsorted transparent list. </p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00341">341</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:03
</p>
</body>
</html>
